DOMInputSource (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class DOMInputSource

    java.lang.Object
      org.apache.xerces.xni.parser.XMLInputSource
          org.apache.xerces.util.DOMInputSource

    public final class DOMInputSource

extends org.apache.xerces.xni.parser.XMLInputSource

An `XMLInputSource` analogue to `javax.xml.transform.dom.DOMSource`.

Version:
  $Id: DOMInputSource.java 447241 2006-09-18 05:12:57Z mrglavas $

Field Summary

Fields inherited from class org.apache.xerces.xni.parser.XMLInputSource
`fBaseSystemId, fByteStream, fCharStream, fEncoding, fPublicId, fSystemId`

Constructor Summary
`DOMInputSource()`
`DOMInputSource(org.w3c.dom.Node node)`
`DOMInputSource(org.w3c.dom.Node node, java.lang.String systemId)`

Method Summary
`org.w3c.dom.Node` | `getNode()`
`void` | `setNode(org.w3c.dom.Node node)`

Methods inherited from class org.apache.xerces.xni.parser.XMLInputSource
`getBaseSystemId, getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setBaseSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMInputSource

    public DOMInputSource()

### DOMInputSource

    public DOMInputSource(org.w3c.dom.Node node)

### DOMInputSource

    public DOMInputSource(org.w3c.dom.Node node,
                          java.lang.String systemId)

Method Detail

### getNode

    public org.w3c.dom.Node getNode()

### setNode

    public void setNode(org.w3c.dom.Node node)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.